<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusions.php
| Author: Nick Jones
| Infusion Author: Lippke
| Site: http://www.zicy.dk
| The source code of the bar is Copyright  Rawswift 
| (creator of jixedbar) under the MIT License
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."floating_bar/infusion_db.php";

if (file_exists(INFUSIONS."floating_bar/locale/".$settings['locale'].".php")) {
	include INFUSIONS."floating_bar/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."floating_bar/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ftb001'];
$inf_description = $locale['ftb002'];
$inf_version = "1.3";
$inf_developer = "lippke";
$inf_weburl = "http://www.zicy.dk";
$inf_folder = "floating_bar";

$inf_newtable[1] = DB_FLOATINGBAR_TABLE." (
facebook_name 						TEXT  DEFAULT '' NOT NULL,
facebook 							TEXT  DEFAULT '' NOT NULL,
youtube_name 						TEXT  DEFAULT '' NOT NULL,
youtube 							TEXT  DEFAULT '' NOT NULL,
twitter_name 						TEXT  DEFAULT '' NOT NULL,
twitter 							TEXT  DEFAULT '' NOT NULL,
feeds_name 							TEXT  DEFAULT '' NOT NULL,
feeds 								TEXT  DEFAULT '' NOT NULL,
feeds_name_2 						TEXT  DEFAULT '' NOT NULL,
feeds_2 							TEXT  DEFAULT '' NOT NULL,
message_too_users 					TEXT  DEFAULT '' NOT NULL,
ftb_get_social_on_off 				TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_facebook_on_off 				TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_youtube_on_off 					TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_twitter_on_off 					TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_feeds_on_off 					TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_feeds_2_on_off 					TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_message_too_users_on_off 		TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_show_avatar_on_off 				TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_top_bottom						TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
ftb_theme							TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL
) TYPE=MyISAM;";
 
$inf_insertdbrow[1] = DB_FLOATINGBAR_TABLE." (facebook_name, facebook, youtube_name, youtube, twitter_name, twitter, feeds_name, feeds, feeds_name_2, feeds_2, message_too_users, ftb_facebook_on_off, ftb_youtube_on_off, ftb_twitter_on_off, ftb_feeds_on_off, ftb_feeds_2_on_off, ftb_message_too_users_on_off, ftb_get_social_on_off, ftb_show_avatar_on_off, ftb_top_bottom, ftb_theme) VALUES('facebook page', 'facebook.com', 'Youtube channel', 'youtube.com', 'Twitter page', 'twitter.com', 'feed name', 'feed link','feed name 2', 'feed link 2', '".$locale['ftb049']."', '', '', '', '', '', '', '', '', '', '')";
$inf_droptable[1] = DB_FLOATINGBAR_TABLE;

$inf_adminpanel[1] = array(
	"title" => $locale['ftb001'],
	"image" => "admin.gif",
	"panel" => "floating_bar_admin.php",
	"rights" => "FTB"
);

?>